<rtflowfile version="1.0">
   <block name="Negation" folder="Standard\Arithmetic\" width="32" height="32">
      <resize constrainprop="false" allow="true"/>
      <instancename show="true" position="up"/>
      <blockname show="false" position="down"/>
      <portnames show="false" inside="true"/>
      <graphic class="rect" x1="0" y1="0" x2="32" y2="32">
         <fill fill="true" color="0x00EEEEEE"/>
      </graphic>
      <graphic class="line" x1="12" y1="16" x2="20" y2="16"/>
      <doc>Negates a real-valued signal.</doc>
      <port name="i" type="real" x="0" y="16" kind="input" dir="left">
         <doc>The signal to negate.</doc>
      </port>
      <port name="o" type="real" x="32" y="16" kind="output" dir="right">
         <doc>The negation of i.</doc>
      </port>
   </block>
   <schematic name="Negation" width="903" height="602">
      <editor gridsize="16" alignports="true" autovalue="true"/>
      <binstance name="i" block="RealInput" x="48" y="48"/>
      <binstance name="Sub1" block="Sub" x="96" y="32"/>
      <binstance name="Value1" block="Value" x="48" y="32">
         <constant name="value" value="0" show="true" x="16" y="8"/>
      </binstance>
      <binstance name="o" block="RealOutput" x="160" y="40"/>
      <connection name="i" port1="i.o" port2="Sub1.i1">
         <point x="64" y="56"/>
         <point x="98" y="56"/>
      </connection>
      <connection name="z" port1="Value1.o" port2="Sub1.i0">
         <point x="80" y="40"/>
         <point x="98" y="40"/>
      </connection>
      <connection name="o" port1="Sub1.o" port2="o.i0">
         <point x="128" y="48"/>
         <point x="160" y="48"/>
      </connection>
   </schematic>
</rtflowfile>
